<div class="modal fade show" tabindex="-1" role="dialog">
    <input #fileInput (change)="selectFiles($event)" type="file" accept="*" multiple class="hidden-input"/>
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Import</h5>
                <button type="button" class="close" (click)="clearSelection()"><span aria-hidden="true">&times;</span></button>
            </div>
            <ng-container *ngIf="numberOfSelectedFiles && status == Status.Selected">
                <div class="selected-files">
                    <span>{{ numberOfSelectedFiles }} files selected</span>
                    <button class="btn btn-success btn-sm" [disabled]="!selectedFiles" (click)="uploadFiles()">Upload</button>
                </div>
                <div class="separator"></div>
            </ng-container>
            <ng-container *ngIf="status == Status.Error">
                <div class="warning">
                    <i class="icofont-warning-alt"></i>
                    <span class="info">Upload Falied</span>
                    <span (click)="uploadFiles()" class="retry-button">RETRY</span>
                    <button (click)="this.status = this.Status.Uploading" type="button" class="close"><span aria-hidden="true">&times;</span></button>
                </div>
            </ng-container>
            <div [ngClass]="{'padding-20': status == Status.Init || status == Status.Selected}" class="modal-body">
                <div *ngIf="status == Status.Init || status == Status.Selected" class="drag-container" appDrag (fileDropped)="selectFiles($event, true)">
                    <form>
                        <div class="form">
                            <div class="drag-title">
                                <img src="../../assets/images/upload.png" alt="upload" width="5%" class="mx-2">
                                <span>Drag & drop your files here</span>
                            </div>
                            <div class="separator-or">or</div>
                            <input type="button" class="btn btn-sm browse" value="Browse" (click)="fileInput.click()">
                        </div>
                    </form>
                </div>
                <div *ngIf="status == Status.Uploading || status == Status.Error" class="progress-list">
                    <div class="srcoll-container">
                        <div *ngFor="let progressInfo of progressInfos" class="progressbar-item">
                            <div class="wrapper">
                                <div class="progress-file-info">
                                    <span class="file-name">{{ progressInfo.fileName }}</span>
                                    <span class="size">{{ progressInfo.size }}</span>
                                    <span class="progress-precentage">{{ progressInfo.value }}%</span>
                                </div>
                                <div class="progress">
                                    <div [ngClass]="{'error': progressInfo.errorMessage}"
                                        class="progress-bar progress-bar-info" 
                                        role="progressbar"
                                        attr.aria-valuenow="{{ progressInfo.value }}" 
                                        aria-valuemin="0"
                                        aria-valuemax="100" 
                                        [ngStyle]="{ width: progressInfo.value + '%' }">
                                    </div>
                                </div>
                                <div *ngIf="progressInfo.errorMessage"  (click)="uploadFiles(progressInfo)" class="error-message">
                                    {{ progressInfo.errorMessage }}
                                    Try Again
                                </div>
                            </div>
                            <div class="close" (click)="removeItem(progressInfo)">&times;</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>